Bug 1656283 - [abrt] [faf] ipa: send_systemd_reply(): /usr/libexec/ipa/ipa-ods-exporter killed by BrokenPipeError
Summary: [abrt] [faf] ipa: send_systemd_reply(): /usr/libexec/ipa/ipa-ods-exporter kil...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 07:20 UTC by Steeve Goveas
Modified: 2019-01-21 21:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 21:59:34 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Steeve Goveas 2018-12-05 07:20:25 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/ab8ab3c39fc89cb0f8cbe67c38ded96cbfa2d938/

time:           Wed 28 Nov 2018 01:13:16 PM EST
package:        ipa-server-dns-4.7.1-5.module+el8+2239+1c5bd4cb
reason:         ipa-ods-exporter:551:send_systemd_reply:BrokenPipeError: [Errno 32] Broken pipe
crash_function: send_systemd_reply
cmdline:        /usr/libexec/platform-python -E /usr/libexec/ipa/ipa-ods-exporter
executable:     /usr/libexec/ipa/ipa-ods-exporter
component:      ipa
uid:            994
username:       ods
hostname:       kvm-03-guest23.testrelm.test
os_release:     Red Hat Enterprise Linux release 8.0 Beta (Ootpa)
architecture:   x86_64
kernel:         4.18.0-45.el8.x86_64
abrt_version:   2.10.9

Reports:
uReport: BTHASH=ab8ab3c39fc89cb0f8cbe67c38ded96cbfa2d938
ABRT Server: URL=http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/ab8ab3c39fc89cb0f8cbe67c38ded96cbfa2d938
upload: URL=ftp://auto-hv-01.idmqe.lab.eng.bos.redhat.com/ipa-ods-exporter.12437.1543428796.kvm-03-guest23.testrelm.test.tar.gz

Full Backtrace:
ipa-ods-exporter:551:send_systemd_reply:BrokenPipeError: [Errno 32] Broken pipe

Traceback (most recent call last):
 File "/usr/libexec/ipa/ipa-ods-exporter", line 730, in <module>
   send_systemd_reply(conn, msg)
 File "/usr/libexec/ipa/ipa-ods-exporter", line 551, in send_systemd_reply
   conn.send(reply + b'\n')
BrokenPipeError: [Errno 32] Broken pipe

Local variables in innermost frame:
reply: b'HSM synchronization finished, skipping zone synchronization.'
conn: <socket.socket fd=9, family=AddressFamily.AF_UNIX, type=SocketKind.SOCK_STREAM, proto=0, laddr=/var/run/opendnssec/engine.sock>

Additional information:
environ:
:LANG=en_US.UTF-8
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:LISTEN_PID=12437
:LISTEN_FDS=1
:LISTEN_FDNAMES=ipa-ods-exporter.socket
:HOME=/var/lib/softhsm
:LOGNAME=ods
:USER=ods
:INVOCATION_ID=944c4ad828244844b2591d6237bb91fa
:JOURNAL_STREAM=9:860177
:SOFTHSM2_CONF=/etc/ipa/dnssec/softhsm2.conf


Note You need to log in before you can comment on or make changes to this bug.